import { __awaiter } from "tslib";
/**
 * @param config - A playwright configuration object.
 * @returns A teardown function.
 *
 * @public
 * @remarks
 * This is just an example playwright setup that returns a noddy teardown. In reality, you will likely create a custom
 * setup / page for your e2e tests depending on the needs of your app or micro frontend.
 */
function setup(config) {
    return __awaiter(this, void 0, void 0, function* () {
        process.env.FOO = 'some data';
        process.env.BAR = JSON.stringify({ some: 'data' });
        return function teardown() {
            return __awaiter(this, void 0, void 0, function* () {
                delete process.env.FOO;
                delete process.env.BAR;
            });
        };
    });
}
export default setup;
//# sourceMappingURL=setup.js.map